Package org.eclipse.emf.cdo.server.ocl

# Class OCLQueryHandler.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.spi.server.QueryHandlerFactory
org.eclipse.emf.cdo.server.ocl.OCLQueryHandler.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `OCLQueryHandler`

public static class OCLQueryHandler.Factory extends QueryHandlerFactory
Creates `OCLQueryHandler` instances.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.spi.server.QueryHandlerFactory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`OCLQueryHandler`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public OCLQueryHandler create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in interface `org.eclipse.net4j.util.factory.IFactory`
Specified by:
  `create` in class `QueryHandlerFactory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`